=begin
Vewy eazy wepowting mechanizm
=end

=begin
debug info for the programmer
=end
def debug(message, addNewLine=true)
  unless (defined? @prevNL) then @prevNL = true end
  if ($DEBUG)  # replace with something more sophisticated
    printf ""+(@prevNL ? caller[0]+": " : "")+message+(addNewLine ? "\n" : "")
  end
  @prevNL = addNewLine
end
alias d debug


=begin
Bailing out, passing a final message for debugging
=end
def crash(message)
  printf "\n  ==> "+message+"! <==\n\n"
end


=begin
Information for the end-user, low importance
=end
def report(message, addNewLine=true)
  printf message+(addNewLine ? "\n" : "")
end
alias r report


=begin
Information for the end-user, indicating something is (possibly) wrong
=end
def warn(warning, addNewLine=true)
  printf warning+(addNewLine ? "\n" : "")
end
alias w warn
